FORUM PTT -

TS2009 - ET42 ostrzeżenie

Peeet2005 - 27-06-2020, 11:13
: Temat postu: ET42 ostrzeżenie
Witam!
Znajomy poprosił mnie o wysłanie mu paczki do loka jak w temacie i przy tej okazji pojawił się pewien problem. Mianowicie mam tę lokomotywę we wszystkich wersjach Trainza, łącznie z najnowszą ale o dziwo właśnie w TANE i TRS19 są one bezbłędne. Natomiast w tych starszych pojawia się ostrzeżenie że:
Warning: This asset requires a shadow mesh, but the mesh table does not contain one.
Przeglądałem config we wszystkich wersjach no i są identyczne. To w starszych wersjach siatka cienia była potrzebna a w nowych już nie ? O co w tym chodzi jeśli mogę spytać ?
kilanziom - 27-06-2020, 11:50
:
Który model ET42?

-Jeżeli model nie był aktualizowany od chwili swojego powstania, to znaczy, że nie został uzupełniony o tzw. shadow-mesh, który pozwalał wyświetlać uproszczone cienie w starszych wersjach TRS. Nie było to problemem w 2004, 2006 czy TC, ale kolejne wersje zaczęły się tego domagać. W nowszych wersjach, gdzie cały system wyświetlania światła i cienia został przebudowany, tzw. shadow mesh przestał być wymagany, więc... wszystko jest ok.
adamstan - 27-06-2020, 15:05
:
Ale brak siatki cienia jest tylko "ostrzeżeniem" (żółtym komunikatem), a nie błędem (czerwonym), i można go spokojnie ignorować - dodatki z tym komunikatem bez problemu działają w TS10.
Peeet2005 - 27-06-2020, 15:52
:
Chodziło mi o PKP ET42-024 A ZT.Lodz,<kuid2:173943:100246:3> + PKP ET42-024 B ZT.Lodz,<kuid2:173943:100247:3> autorstwa szanownego kolegi Kilanzioma :-D
Mam też drugą wersję z 2 na końcu tej samej loko ale mi wypisuje że to przestarzałe :-|
One faktycznie działają poprawnie, tylko mnie zaciekawiło co z tą siatką. W okresie panowania wersji 2009 też byłem jeszcze bardzo mało zorientowany w temacie konfiguracji dodatków . Nie znaczy to, że teraz wszystko wiem, ale już co nieco ;-)